// 导出HTTP模块
export * from './http';

// 导出SVG汉字数据获取模块
export * from './getWordsSvgJson';

export async function getMiniCodeImage(canvas: Canvas) {
    return getImage(canvas, '/assets/imgs/doodle-mini-code.jpg');
}

export async function getImage(canvas: Canvas, path: string) {
    return new Promise((resolve, reject) => {
        const image = canvas.createImage();
        image.onload = () => {
            resolve(image);
        };
        image.onerror = () => {
            reject('图片加载异常');
        };
        image.src = path;
    });
}

export const formatTime = (date: Date) => {
    const year = date.getFullYear();
    const month = date.getMonth() + 1;
    const day = date.getDate();
    const hour = date.getHours();
    const minute = date.getMinutes();
    const second = date.getSeconds();

    return (
        [year, month, day].map(formatNumber).join('/') +
        ' ' +
        [hour, minute, second].map(formatNumber).join(':')
    );
};

const formatNumber = (n: number) => {
    const s = n.toString();
    return s[1] ? s : '0' + s;
};
